org.richfaces.resource.optimizer.faces

## Class ExternalContextImpl

- java.lang.Object
- - javax.faces.context.ExternalContext
  - - org.richfaces.resource.optimizer.faces.ExternalContextImpl

-     public class ExternalContextImpl
      extends javax.faces.context.ExternalContext

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.faces.context.ExternalContext

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalContextImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(String path)`
    `String` | `encodeActionURL(String url)`
    `String` | `encodeNamespace(String name)`
    `String` | `encodeResourceURL(String url)`
    `Map<String,Object>` | `getApplicationMap()`
    `String` | `getAuthType()`
    `Object` | `getContext()`
    `String` | `getInitParameter(String name)`
    `Map` | `getInitParameterMap()`
    `String` | `getMimeType(String file)` Returns mime-type for known resorce file types
    `String` | `getRemoteUser()`
    `Object` | `getRequest()`
    `String` | `getRequestContextPath()`
    `Map<String,Object>` | `getRequestCookieMap()`
    `Map<String,String>` | `getRequestHeaderMap()`
    `Map<String,String[]>` | `getRequestHeaderValuesMap()`
    `Locale` | `getRequestLocale()`
    `Iterator<Locale>` | `getRequestLocales()`
    `Map<String,Object>` | `getRequestMap()`
    `Map<String,String>` | `getRequestParameterMap()`
    `Iterator<String>` | `getRequestParameterNames()`
    `Map<String,String[]>` | `getRequestParameterValuesMap()`
    `String` | `getRequestPathInfo()`
    `String` | `getRequestServletPath()`
    `URL` | `getResource(String path)`
    `InputStream` | `getResourceAsStream(String path)`
    `Set<String>` | `getResourcePaths(String path)`
    `Object` | `getResponse()`
    `String` | `getResponseCharacterEncoding()`
    `Object` | `getSession(boolean create)`
    `Map<String,Object>` | `getSessionMap()`
    `Principal` | `getUserPrincipal()`
    `boolean` | `isUserInRole(String role)`
    `void` | `log(String message)`
    `void` | `log(String message, Throwable exception)`
    `void` | `redirect(String url)`
    `protected void` | `setWebRoot(String webroot)`

    - ### Methods inherited from class javax.faces.context.ExternalContext

      `addResponseCookie, addResponseHeader, encodeBookmarkableURL, encodePartialActionURL, encodeRedirectURL, getApplicationContextPath, getClientWindow, getContextName, getFlash, getRealPath, getRequestCharacterEncoding, getRequestContentLength, getRequestContentType, getRequestScheme, getRequestServerName, getRequestServerPort, getResponseBufferSize, getResponseContentType, getResponseOutputStream, getResponseOutputWriter, getSessionId, getSessionMaxInactiveInterval, invalidateSession, isResponseCommitted, isSecure, responseFlushBuffer, responseReset, responseSendError, setClientWindow, setRequest, setRequestCharacterEncoding, setResponse, setResponseBufferSize, setResponseCharacterEncoding, setResponseContentLength, setResponseContentType, setResponseHeader, setResponseStatus, setSessionMaxInactiveInterval`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalContextImpl

          public ExternalContextImpl()

  - ### Method Detail

    - #### setWebRoot

          protected void setWebRoot(String webroot)

    - #### dispatch

          public void dispatch(String path)
                        throws IOException

      Specified by:
        `dispatch` in class `javax.faces.context.ExternalContext`
      Throws:
        `IOException`

    - #### encodeActionURL

          public String encodeActionURL(String url)

      Specified by:
        `encodeActionURL` in class `javax.faces.context.ExternalContext`

    - #### encodeNamespace

          public String encodeNamespace(String name)

      Specified by:
        `encodeNamespace` in class `javax.faces.context.ExternalContext`

    - #### encodeResourceURL

          public String encodeResourceURL(String url)

      Specified by:
        `encodeResourceURL` in class `javax.faces.context.ExternalContext`

    - #### getApplicationMap

          public Map<String,Object> getApplicationMap()

      Specified by:
        `getApplicationMap` in class `javax.faces.context.ExternalContext`

    - #### getAuthType

          public String getAuthType()

      Specified by:
        `getAuthType` in class `javax.faces.context.ExternalContext`

    - #### getContext

          public Object getContext()

      Specified by:
        `getContext` in class `javax.faces.context.ExternalContext`

    - #### getInitParameter

          public String getInitParameter(String name)

      Specified by:
        `getInitParameter` in class `javax.faces.context.ExternalContext`

    - #### getInitParameterMap

          public Map getInitParameterMap()

      Specified by:
        `getInitParameterMap` in class `javax.faces.context.ExternalContext`

    - #### getRemoteUser

          public String getRemoteUser()

      Specified by:
        `getRemoteUser` in class `javax.faces.context.ExternalContext`

    - #### getRequest

          public Object getRequest()

      Specified by:
        `getRequest` in class `javax.faces.context.ExternalContext`

    - #### getRequestContextPath

          public String getRequestContextPath()

      Specified by:
        `getRequestContextPath` in class `javax.faces.context.ExternalContext`

    - #### getRequestCookieMap

          public Map<String,Object> getRequestCookieMap()

      Specified by:
        `getRequestCookieMap` in class `javax.faces.context.ExternalContext`

    - #### getRequestHeaderMap

          public Map<String,String> getRequestHeaderMap()

      Specified by:
        `getRequestHeaderMap` in class `javax.faces.context.ExternalContext`

    - #### getRequestHeaderValuesMap

          public Map<String,String[]> getRequestHeaderValuesMap()

      Specified by:
        `getRequestHeaderValuesMap` in class `javax.faces.context.ExternalContext`

    - #### getRequestLocale

          public Locale getRequestLocale()

      Specified by:
        `getRequestLocale` in class `javax.faces.context.ExternalContext`

    - #### getRequestLocales

          public Iterator<Locale> getRequestLocales()

      Specified by:
        `getRequestLocales` in class `javax.faces.context.ExternalContext`

    - #### getRequestMap

          public Map<String,Object> getRequestMap()

      Specified by:
        `getRequestMap` in class `javax.faces.context.ExternalContext`

    - #### getRequestParameterMap

          public Map<String,String> getRequestParameterMap()

      Specified by:
        `getRequestParameterMap` in class `javax.faces.context.ExternalContext`

    - #### getRequestParameterNames

          public Iterator<String> getRequestParameterNames()

      Specified by:
        `getRequestParameterNames` in class `javax.faces.context.ExternalContext`

    - #### getRequestParameterValuesMap

          public Map<String,String[]> getRequestParameterValuesMap()

      Specified by:
        `getRequestParameterValuesMap` in class `javax.faces.context.ExternalContext`

    - #### getRequestPathInfo

          public String getRequestPathInfo()

      Specified by:
        `getRequestPathInfo` in class `javax.faces.context.ExternalContext`

    - #### getRequestServletPath

          public String getRequestServletPath()

      Specified by:
        `getRequestServletPath` in class `javax.faces.context.ExternalContext`

    - #### getResource

          public URL getResource(String path)
                          throws MalformedURLException

      Specified by:
        `getResource` in class `javax.faces.context.ExternalContext`
      Throws:
        `MalformedURLException`

    - #### getResourceAsStream

          public InputStream getResourceAsStream(String path)

      Specified by:
        `getResourceAsStream` in class `javax.faces.context.ExternalContext`

    - #### getResourcePaths

          public Set<String> getResourcePaths(String path)

      Specified by:
        `getResourcePaths` in class `javax.faces.context.ExternalContext`

    - #### getResponse

          public Object getResponse()

      Specified by:
        `getResponse` in class `javax.faces.context.ExternalContext`

    - #### getSession

          public Object getSession(boolean create)

      Specified by:
        `getSession` in class `javax.faces.context.ExternalContext`

    - #### getSessionMap

          public Map<String,Object> getSessionMap()

      Specified by:
        `getSessionMap` in class `javax.faces.context.ExternalContext`

    - #### getUserPrincipal

          public Principal getUserPrincipal()

      Specified by:
        `getUserPrincipal` in class `javax.faces.context.ExternalContext`

    - #### isUserInRole

          public boolean isUserInRole(String role)

      Specified by:
        `isUserInRole` in class `javax.faces.context.ExternalContext`

    - #### log

          public void log(String message)

      Specified by:
        `log` in class `javax.faces.context.ExternalContext`

    - #### log

          public void log(String message,
                 Throwable exception)

      Specified by:
        `log` in class `javax.faces.context.ExternalContext`

    - #### redirect

          public void redirect(String url)
                        throws IOException

      Specified by:
        `redirect` in class `javax.faces.context.ExternalContext`
      Throws:
        `IOException`

    - #### getResponseCharacterEncoding

          public String getResponseCharacterEncoding()

      Overrides:
        `getResponseCharacterEncoding` in class `javax.faces.context.ExternalContext`

    - #### getMimeType

          public String getMimeType(String file)

      Returns mime-type for known resorce file types
      Overrides:
        `getMimeType` in class `javax.faces.context.ExternalContext`
      Parameters:
        `file` - the full name of file
      Returns:
        mime-type for known resorce file types TODO load supported mime-types from mime.types file in this project

Copyright © 2014 JBoss by Red Hat. All rights reserved.